Get day-by-day time series analytics (up to 120 days).
API Key API key used for authentication
In: header
Number of days to look back (1-120, default 30)
1 <= value <= 12030Start date (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeEnd date (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeIANA timezone (e.g. America/New_York)
"UTC"Filter by platform (e.g. twitch, youtube)
^[a-z0-9][a-z0-9_-]{0,79}$length <= 80application/json
application/json
curl -X GET "https://example.com/analytics/daily"{ "daily": [ { "date": "2024-01-15", "formattedDate": "Jan 15", "amountsByCurrency": { "usd": 5000 }, "donationCount": 3, "liveMinutes": 120, "liveMinutesByPlatform": { "twitch": 120 }, "sessions": 1, "followerCounts": { "twitch": 1000 }, "maxViewerCount": 50 } ]}{ "error": "string", "code": "string", "details": null}